<?php
function acaptcha_admin_frm($frm, &$sta){
	
	$frm['cap'] = array(
		'#title' => 'Заголовок каптчи:',
		'#type' => 'textfield',
		'#description' => 'Текс отображаемый в каптче.',
		'#value' => variable_get('acaptcha_cap'),		
	);
	$frm['err'] = array(
		'#title' => 'Сообщение об ошибке:',
		'#type' => 'textfield',
		'#description' => 'Сообщение выводимое когда каптча введена не верно.',
		'#default_value' => variable_get('acaptcha_err'),
	);

	$rol = array();
	$rol_opt = db_select('role', 't')->fields('t', array('rid', 'name'))->execute()->fetchAllKeyed(0, 1);
	foreach($rol_opt as $i => $r){
		if(array_search($i, variable_get('acaptcha_rol')) === false){
			$rol[] = $i;
		}
	}
	$frm['rol'] = array(
		'#title' => 'Применять каптчу для ролей:',
		'#type' => 'select',
		'#options' => $rol_opt,
		'#size' => count($rol_opt),
		'#default_value' => $rol,
		'#multiple' => true,
		'#description' => 'Роли пользователей для которых применяется каптча.',
	);
		
	$frm['adm'] = array(
		'#title' => 'Не показывать капчу для суперадмина.',
		'#type' => 'checkbox',
		'#default_value' => variable_get('acaptcha_adm'),
	);

	$typ = array();
	$typ_opt = node_type_get_types();
	foreach($typ_opt as $i => $t){
		$typ_opt[$i] = $t->name;
		if(array_search($i, variable_get('acaptcha_typ')) === false){
			$typ[] = $i;
		}
	}
	$frm['typ'] = array(
		'#title' => 'Применять каптчу для материалов:',
		'#type' => 'select',
		'#options' => $typ_opt,
		'#size' => count($typ_opt),
		'#default_value' => $typ,
		'#multiple' => true,
		'#description' => 'Типы материалов при работе с которыми следует использовать каптчу.',
	);
	
	$frm['nod_cre'] = array(
		'#title' => 'При создании нод.',
		'#type' => 'checkbox',
		'#default_value' => variable_get('acaptcha_nod_cre'),
	);
	$frm['nod_edi'] = array(
		'#title' => 'При редактировании нод.',
		'#type' => 'checkbox',
		'#default_value' => variable_get('acaptcha_nod_edi'),
	);
	
	$frm['com_cre'] = array(
		'#title' => 'При создании комментариев.',
		'#type' => 'checkbox',
		'#default_value' => variable_get('acaptcha_com_cre'),
	);
	$frm['com_edi'] = array(
		'#title' => 'При редактировании комментариев.',
		'#type' => 'checkbox',
		'#default_value' => variable_get('acaptcha_com_edi'),
	);

	
	$frm[] = array(
		'#markup' => '<br/>',
	);

	
	$frm['cnt'] = array(
		'#title' => 'Иcпользовать каптчу в форме контактов при отправке сообщения.',
		'#type' => 'checkbox',
		'#default_value' => variable_get('acaptcha_cnt'),
	);
	$frm['reg'] = array(
		'#title' => 'Иcпользовать каптчу при регистрации нового пользователя.',
		'#type' => 'checkbox',
		'#default_value' => variable_get('acaptcha_reg'),
	);

	$frm[] = array(
		'#type' => 'submit',
		'#value' => 'Сохранить'
	);
	
	return $frm;
}
function acaptcha_admin_frm_submit($frm, &$sta){

	variable_set('acaptcha_cap', $sta['input']['cap']);
	variable_set('acaptcha_err', $sta['input']['err']);

	$rol = array();
	$rol_opt = db_select('role', 't')->fields('t', array('rid', 'name'))->execute()->fetchAllKeyed(0, 1);
	foreach($rol_opt as $i => $r){
		if(array_search($i, $sta['values']['rol']) === false){
			$rol[] = $i;
		}
	}
	variable_set('acaptcha_rol', $rol);
	
	variable_set('acaptcha_adm', $sta['input']['adm']);
	
	
	$typ = array();
	$typ_opt = node_type_get_types();
	foreach($typ_opt as $i => $t){
		if(array_search($i, $sta['values']['typ']) === false){
			$typ[] = $i;
		}
	}
	variable_set('acaptcha_typ', $typ);
	
	variable_set('acaptcha_nod_cre', $sta['input']['nod_cre']);
	variable_set('acaptcha_nod_edi', $sta['input']['nod_edi']);
	
	variable_set('acaptcha_com_cre', $sta['input']['com_cre']);
	variable_set('acaptcha_com_edi', $sta['input']['com_edi']);

	
	
	variable_set('acaptcha_cnt', $sta['input']['cnt']);
	variable_set('acaptcha_reg', $sta['input']['reg']);

}
